org.apache.commons.lang3.text.translate

## Class CodePointTranslator

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator

- Direct Known Subclasses:
    NumericEntityEscaper, UnicodeEscaper, UnicodeUnpairedSurrogateRemover

  Deprecated.
  As of 3.6, use Apache Commons Text CharSequenceTranslator instead

      @Deprecated
      public abstract class CodePointTranslator
      extends CharSequenceTranslator

  Helper subclass to CharSequenceTranslator to allow for translations that will replace up to one character at a time.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodePointTranslator()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `translate(CharSequence input, int index, Writer out)` Deprecated. Implementation of translate that maps onto the abstract translate(int, Writer) method.
    `abstract boolean` | `translate(int codePoint, Writer out)` Deprecated. Translate the specified code point into another.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodePointTranslator

          public CodePointTranslator()

      Deprecated.

  - ### Method Detail

    - #### translate

          public final int translate(CharSequence input,
                                     int index,
                                     Writer out)
                              throws IOException

      Deprecated.
      Implementation of translate that maps onto the abstract translate(int, Writer) method. Translate a set of code points, represented by an int index into a CharSequence, into another set of code points. The number of code points consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
      Specified by:
        `translate` in class `CharSequenceTranslator`
      Parameters:
        `input` - CharSequence that is being translated
        `index` - int representing the current point of translation
        `out` - Writer to translate the text to
      Returns:
        int count of code points consumed
      Throws:
        `IOException` - if and only if the Writer produces an IOException

    - #### translate

          public abstract boolean translate(int codePoint,
                                            Writer out)
                                     throws IOException

      Deprecated.
      Translate the specified code point into another.
      Parameters:
        `codePoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.